Bug 830348 - Slow shutdown when you have 100+ replication agreements
Slow shutdown when you have 100+ replication agreements
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
6.4
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: mreynolds
IDM QE LIST
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 17:43 EDT by Nathan Kinder
Modified: 2013-02-21 03:17 EST (History)
3 users (show)

See Also:
Fixed In Version: 389-ds-base-1.2.11.12-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: a long sleep in the replication stop code Consequence: with many agmts, the server shutdown would take longer Fix: reduce a sleep interval. Result: faster shutdown
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 03:17:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0503 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2013-02-21 03:18:44 EST

  None (edit)
Description Nathan Kinder 2012-06-08 17:43:13 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/271

I have a 389 DS with 154 replication agreements and in the future I'll 400+. In the current configuration, DS takes 5 minutes to shutdown. If I disable the replication plugin (Multimaster) shutdown takes 3 seconds.

I need the agreements because in my scenario I have two servers in the headquarters of the company with the whole tree and, 150 servers replicating two specific subtrees each one.
Comment 2 RHEL Product and Program Management 2012-07-10 03:10:35 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 RHEL Product and Program Management 2012-07-10 19:00:54 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 4 Jenny Galipeau 2012-08-31 15:03:50 EDT
Please add steps to verify  Is it possible to verify this bugzilla without 150 replicas?
Comment 5 Rich Megginson 2012-08-31 15:06:23 EDT
Mark, did you check in a TET test for this issue?
Comment 7 mreynolds 2012-09-06 09:57:21 EDT
I did not add a test suite, as I never tested 100 agmts.  We never got feedback from the customer after creating this fix.  So I do not know if this fix addressed the customer issue.  The fix was to reduce a sleep from 1 second to 100 ms in the repl stop protocol.
Comment 8 Sankar Ramalingam 2012-12-06 08:39:16 EST
time service dirsrv restart M1 # 100 Replication Agreements
Shutting down dirsrv: 
    M1...[  OK  ]
Starting dirsrv: 
    M1...[  OK  ]

real	0m15.893s
user	0m0.687s
sys	0m0.174s

time service dirsrv restart M1 # 500 Replication Agreements
Shutting down dirsrv: 
    M1...[  OK  ]
Starting dirsrv: 
    M1...[  OK  ]

real	0m59.276s
user	0m0.906s
sys	0m0.273s


With 500 replication agreements, it takes less than a minute to restart the server. Hence, marking the bug as Verified.
Comment 10 errata-xmlrpc 2013-02-21 03:17:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0503.html

Note You need to log in before you can comment on or make changes to this bug.